Examplary
Start for free
Developer docs

Update practice space

PATCHhttps://api.examplary.ai/practice-spaces/{id}

Update an existing practice space. Settings are merged: keys that are left out are kept, keys set to null are removed.

Path parameters

idstringrequired

Request body

namestring· max length: 255
settingsobject
folderstring· nullable
sourceMaterialIdsarray string[]
masteryTopicsarray object[]
studentNotesstring· nullable
publishedstring

Allowed values:publishedunpublished

metadataobject
questionsGenerationErrornull
masteryTopicsGenerationErrornull

Responses

400 — Validation Error

successbooleanrequired

Allowed values:false

errorarray any[]required
dataanyrequired

Requirements

User roles

This endpoint requires the teacher, admin, or owner role to be present.

OAuth scopes

This endpoint requires the practice-spaces:write scope to be present.